*******************************
*File reads in raw NFL game GRPs data pulled from AdViews
*******************************

clear
insheet using "C:\Dropbox\SuperbowlAds\Data\Ratings\NFL0811.csv", comma names
rename v11 dollars
des
save temp, replace
clear
insheet using "C:\Dropbox\SuperbowlAds\Data\Ratings\NFL07a.csv", comma names
rename v11 dollars
append using temp
save temp, replace
clear
insheet using "C:\Dropbox\SuperbowlAds\Data\Ratings\NFL07bb.csv", comma names
rename v11 dollars
append using temp
save temp, replace
clear
insheet using "C:\Dropbox\SuperbowlAds\Data\Ratings\NFL0506.csv", comma names
rename v11 dollars
append using temp
save temp, replace
rm temp.dta                    

gen extrab=strpos(brand,"+")
replace brand=substr(brand,1,extrab-1) if extrab>0



collapse (sum) grptv imp000 (max) units , by(brand-report)
gen year=real(substr(report,-2,2))+2000


sort market

preserve
	clear
	insheet using "C:\Dropbox\SuperbowlAds\Data\Ratings\DMAidMarket.txt", names
	drop v3-v8
	sort market
	save "C:\Google Drive\SuperbowlShare\StataData\DMAidMarket", replace
restore

merge market using "C:\Google Drive\SuperbowlShare\StataData\DMAidMarket"

keep if _merge==3
drop _merge


preserve
	clear
	insheet using "C:\Google Drive\Superbowl\StataCode\PreSBnflBrands.txt", names
	sort brand topbrand subbrand
	save "C:\Google Drive\SuperbowlShare\StataData\PreSBnflBrands", replace
restore

sort brand
merge m:1 brand using "C:\Google Drive\SuperbowlShare\StataData\PreSBnflBrands"
tab _merge

keep if _merge==3
drop _merge
drop if topbrand==""
sort brand dma year
save "C:\Google Drive\SuperbowlShare\StataData\PreSBnflGRPs", replace

                                                                                                                                                                    