

clear
insheet using "C:\Google Drive\Superbowl\StataData\NCAA08_11.txt", tab names
save temp, replace
clear
insheet using "C:\Google Drive\Superbowl\StataData\NCAA06_07.txt", tab names
append using temp
save temp, replace
rm temp.dta	


gen year=real(substr(report,-2,2))+2000
gen emonth=real(substr(report,-8,2))
gen eday=real(substr(report,-5,2))
gen endweekdate=mdy(emonth,eday,year)

gen superweek=10000
replace superweek=endweekdate+1-mdy(2,5,2012)
replace superweek=endweekdate+1-mdy(2,6,2011) if year(endweekdate)==2011
replace superweek=endweekdate+1-mdy(2,7,2010) if year(endweekdate)==2010
replace superweek=endweekdate+1-mdy(2,1,2009) if year(endweekdate)==2009
replace superweek=endweekdate+1-mdy(2,3,2008) if year(endweekdate)==2008
replace superweek=endweekdate+1-mdy(2,4,2007) if year(endweekdate)==2007
replace superweek=endweekdate+1-mdy(2,5,2006) if year(endweekdate)==2006
replace superweek=floor(superweek/7)
drop if superweek >20
collapse (sum) grptv imp000 unit , by(market year superweek)
replace grptv=. if superweek==-2 | superweek==2
replace imp=.   if superweek==-2 | superweek==2
replace unit=.  if superweek==-2 | superweek==2

replace superweek=11 if superweek==-2
replace superweek=3 if superweek==2

fillin market year superweek
gen rtgNCAA = grptv/unit




sort market year superweek
by market year: gen rtgNCAA_lag = rtgNCAA[_n-1]
by market year: gen rtgNCAA_lead = rtgNCAA[_n+1]

replace rtgNCAA = 0 if rtgNCAA==.
replace rtgNCAA_lag = 0 if rtgNCAA_lag==.
replace rtgNCAA_lead = 0 if rtgNCAA_lead==.


sort market

merge market using "C:\Google Drive\SuperbowlShare\StataData\DMAidMarket"
keep if _merge==3
drop _merge


sort dma year superweek
save "C:\Google Drive\SuperbowlShare\StataData\RTGsNCAA", replace

                                                                                                                                                                    